# Class PokemonMoveAccuracyBoosterModifier

#### Hierarchy (view full)

- PokemonHeldItemModifier
  - PokemonMoveAccuracyBoosterModifier

- Defined in src/modifier/modifier.ts:1594

#####
Index

### Constructors

constructor

### Properties

accuracyAmount
pokemonId
stackCount
type
virtualStackCount

### Methods

add
apply
clone
getArgs
getIcon
getIconStackText
getMaxHeldItemCount
getMaxStackCount
getPokemon
getScoreMultiplier
getStackCount
getTransferrable
incrementStack
isIconVisible
match
matchType
shouldApply

## Constructors

### constructor

- new PokemonMoveAccuracyBoosterModifier(type, pokemonId, accuracy, stackCount?): PokemonMoveAccuracyBoosterModifier

- #### Parameters

  - type: PokemonMoveAccuracyBoosterModifierType
  - pokemonId: number
  - accuracy: number
  - `Optional` stackCount: number

  #### Returns PokemonMoveAccuracyBoosterModifier

  Overrides PokemonHeldItemModifier.constructor

  - Defined in src/modifier/modifier.ts:1597

## Properties

### `Private` accuracyAmount

accuracyAmount: number

- Defined in src/modifier/modifier.ts:1595

### pokemonId

pokemonId: number

Inherited from PokemonHeldItemModifier.pokemonId

- Defined in src/modifier/modifier.ts:454

### stackCount

stackCount: number

Inherited from PokemonHeldItemModifier.stackCount

- Defined in src/modifier/modifier.ts:139

### type

type: ModifierType

Inherited from PokemonHeldItemModifier.type

- Defined in src/modifier/modifier.ts:121

### virtualStackCount

virtualStackCount: number

Inherited from PokemonHeldItemModifier.virtualStackCount

- Defined in src/modifier/modifier.ts:140

## Methods

### add

- add(modifiers, virtual, scene): boolean

- #### Parameters

  - modifiers: PersistentModifier []
  - virtual: boolean
  - scene: default

  #### Returns boolean

  Inherited from PokemonHeldItemModifier.add

  - Defined in src/modifier/modifier.ts:148

### apply

- apply(args): boolean

- #### Parameters

  - args: any[]

  #### Returns boolean

  Overrides PokemonHeldItemModifier.apply

  - Defined in src/modifier/modifier.ts:1622

### clone

- clone(): PersistentModifier

- #### Returns PersistentModifier

  Overrides PokemonHeldItemModifier.clone

  - Defined in src/modifier/modifier.ts:1610

### getArgs

- getArgs(): any[]

- #### Returns any[]

  Overrides PokemonHeldItemModifier.getArgs

  - Defined in src/modifier/modifier.ts:1614

### getIcon

- getIcon(scene, forSummary?): Container

- #### Parameters

  - scene: default
  - `Optional` forSummary: boolean

  #### Returns Container

  Inherited from PokemonHeldItemModifier.getIcon

  - Defined in src/modifier/modifier.ts:484

### getIconStackText

- getIconStackText(scene, virtual?): BitmapText

- #### Parameters

  - scene: default
  - `Optional` virtual: boolean

  #### Returns BitmapText

  Inherited from PokemonHeldItemModifier.getIconStackText

  - Defined in src/modifier/modifier.ts:213

### getMaxHeldItemCount

- getMaxHeldItemCount(pokemon): number

- #### Parameters

  - pokemon: default

  #### Returns number

  Overrides PokemonHeldItemModifier.getMaxHeldItemCount

  - Defined in src/modifier/modifier.ts:1629

### getMaxStackCount

- getMaxStackCount(scene, forThreshold?): number

- #### Parameters

  - scene: default
  - `Optional` forThreshold: boolean

  #### Returns number

  Inherited from PokemonHeldItemModifier.getMaxStackCount

  - Defined in src/modifier/modifier.ts:523

### getPokemon

- getPokemon(scene): default

- #### Parameters

  - scene: default

  #### Returns default

  Inherited from PokemonHeldItemModifier.getPokemon

  - Defined in src/modifier/modifier.ts:515

### getScoreMultiplier

- getScoreMultiplier(): number

- #### Returns number

  Inherited from PokemonHeldItemModifier.getScoreMultiplier

  - Defined in src/modifier/modifier.ts:519

### getStackCount

- getStackCount(): number

- #### Returns number

  Inherited from PokemonHeldItemModifier.getStackCount

  - Defined in src/modifier/modifier.ts:182

### getTransferrable

- getTransferrable(withinParty): boolean

- #### Parameters

  - withinParty: boolean

  #### Returns boolean

  Inherited from PokemonHeldItemModifier.getTransferrable

  - Defined in src/modifier/modifier.ts:476

### incrementStack

- incrementStack(scene, amount, virtual): boolean

- #### Parameters

  - scene: default
  - amount: number
  - virtual: boolean

  #### Returns boolean

  Inherited from PokemonHeldItemModifier.incrementStack

  - Defined in src/modifier/modifier.ts:169

### isIconVisible

- isIconVisible(scene): boolean

- #### Parameters

  - scene: default

  #### Returns boolean

  Inherited from PokemonHeldItemModifier.isIconVisible

  - Defined in src/modifier/modifier.ts:480

### match

- match(modifier): boolean

- #### Parameters

  - modifier: Modifier

  #### Returns boolean

  Inherited from PokemonHeldItemModifier.match

  - Defined in src/modifier/modifier.ts:464

### matchType

- matchType(modifier): boolean

- #### Parameters

  - modifier: Modifier

  #### Returns boolean

  Overrides PokemonHeldItemModifier.matchType

  - Defined in src/modifier/modifier.ts:1602

### shouldApply

- shouldApply(args): boolean

- #### Parameters

  - args: any[]

  #### Returns boolean

  Overrides PokemonHeldItemModifier.shouldApply

  - Defined in src/modifier/modifier.ts:1618